IPTRAF-NG(8)

NUME
iptraf - monitor interactiv colorat IP LAN

SINOPSIS
iptraf-ng { [ -f ] [ { -i interfața | -g | -d interfața | -s interfața | -z interfața | -l interfața } [ -t timp-așteptare ] [ -B [ -L fișier-jurnal ] ] ] | [ -h ] }

DESCRIERE
iptraf-ng este un monitor IP LAN bazat pe ncurses, care generează diverse statistici de rețea, inclusiv informații TCP, contorizare UDP, informații ICMP și OSPF, informații despre încărcarea Ethernet, statistici de nod, erori de verificare IP și altele.

În cazul în care comanda iptraf-ng este emisă fără nicio opțiune în linia de comandă, programul apare în modul interactiv, diferitele facilități fiind accesate prin intermediul meniului principal.

OPȚIUNI
Aceste opțiuni pot fi, de asemenea, furnizate în linia de comandă:

-i interfața
    pornește imediat monitorul de trafic IP pe interfața specificată sau pe toate interfețele în cazul în care se specifică „-i all”

-g  pornește imediat statisticile generale ale interfeței

-d interfața
    permite pornirea imediată a detaliilor pe interfața indicată (interfața)

-s interfața
    vă permite să monitorizați imediat traficul TCP și UDP pe interfața specificată (interfața)

-z interfața
    afișează numărul de pachete în funcție de dimensiune pe interfața specificată

-l interfața
    pornește monitorizarea stației LAN pe interfața specificată sau pe toate interfețele LAN dacă se specifică „-l all”

-t timp-așteptare
    îi indică lui IPTraf-ng să ruleze facilitatea specificată doar pentru timp-așteptare minute. Această opțiune se utilizează numai cu unul dintre parametrii de mai sus.

-B  redirecționează ieșirea standard către „/dev/null”, închide intrarea standard și redirecționează programul în fundal. Poate fi utilizată numai cu unul dintre parametrii de invocare a facilității de mai sus. Trimite procesului din fundal un semnal USR2 pentru a se încheia.

-L fișier-jurnal
    vă permite să specificați un alt nume de fișier jurnal. Numele implicit al fișierului jurnal se bazează fie pe interfața selectată (statistici detaliate ale interfeței, statistici ale serviciului TCP/UDP, defalcare a dimensiunii pachetelor), fie pe instanța facilitată (monitor de trafic IP, monitor de stație LAN). Dacă nu se specifică o rută, fișierul jurnal este plasat în /var/log/iptraf-ng.

-f  șterge toate blocările și contoarele, făcând ca această instanță de IPTraf-ng să creadă că este prima care rulează. Acest lucru ar trebui să fie utilizat numai pentru a recupera după o terminare anormală sau o blocare a sistemului.

-h  afișează un rezumat al comenzii

SEMNALE

 SIGUSR1 - rotește fișierele jurnal în timp ce programul rulează
 SIGUSR2 - termină un proces IPTraf-ng care rulează în fundal.

FIȘIERE
 /var/log/iptraf-ng/*.log - fișierul de jurnal
 /var/lib/iptraf-ng/* - fișiere de date importante IPTraf-ng

CONSULTAȚI ȘI
 Documentation/* - documentația completă scrisă de autor

AUTOR
Gerard Paul Java (riker@mozcom.com)

AUTORUL MANUALULUI
Frederic Peters (fpeters@debian.org), folosind «iptraf-ng -h». Modificări generale ale paginii de manual de Gerard Paul Java (riker@mozcom.com), Phil Cameron (pcameron@redhat.com)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.